Cancel Payment Method
Cancel a Payment Method (using a specific payment_method_id). This sets the Payment Method status to CANCELLED and Finverse will no longer process any payments for the Payment Method.
Cancellation is optional.
Cancellation will fail if the Payment Method is non-cancellable (e.g. because it is still being processed), or if the Payment Method has a processing Payment.
Authorization: customer_token
Response fields
The response is a Payment Method object, or an error object if the Payment Method is not cancellable (e.g. payment is already processing).
Refer to Payment Method object data model in GET /payment_users/{{user_id}}/payment_methods
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The payment method id
1Response
Success (Card)
Card object Included only if payment_method_type = CARD.
Mandate object. Refer to Mandate object data model in GET /mandates/{mandate_id}. Included only if payment_method_type = MANDATE.
Finverse unique ID for this payment method. If the Sender has autopay_consent = true , this ID can be used to trigger additional payments on-demand (see POST /payments).
Type of payment method. Possible values: CARD, MANDATE.